Name: libdnet
Version: 1.5
Release: alt2

Summary: A dumb networking library
Group: System/Libraries
License: BSD-like
Url: http://libdnet.sourceforge.net/

Source: %name-%version.tar.bz2
Patch: %name-1.4-alt-makefile.patch

Prefix: %prefix

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4

# Automatically added by buildreq on Mon Sep 02 2002
BuildRequires: libpcap-devel

%package devel
Summary: Development %name library, header files, documentation and examples
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release
Requires: glibc-devel-static

%package -n dnet
Summary: A dumb networking library test program
Group: Networking/Other
Requires: %name = %version-%release

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

%description devel
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

This package contains the development library, it's header files,
documentation and examples needed to develop %name-based applications.

%description devel-static
libdnet provides a simplified, portable interface to several low-level
networking routines, including network address manipulation, kernel
arp(4) cache and route(4) table lookup and manipulation, network
firewalling, network interface lookup and manipulation, and raw IP
packet and Ethernet frame transmission.

This package contains the static %name library required to develop
statically linked %name-based applications.

%description -n dnet
dnet is a simple test program for the dnet(3) library. It can be used
to compose and transmit network datagrams as a Unix-style filter (e.g.
reading from or writing to files and pipes) or modify the local system
network configuration (including the ARP cache, firewall ruleset,
network interfaces, and routing table).
     
%prep
%setup -q
%patch -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
aclocal
autoheader
automake
autoconf
%configure

# First build shared library,
%make_build CFLAGS="$RPM_OPT_FLAGS %optflags_shared"
pushd src
m=`echo %version |cut -d. -f1`
gcc -shared -Wl,-soname,%name.so.$m -o %name.so.%version \
	-Wl,-whole-archive %name.a -Wl,-no-whole-archive
%__ln_s %name.so.%version %name.so.$m
%__ln_s %name.so.%version %name.so
popd

# then static library and utils.
make clean
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall
%__cp -a src/*.so* $RPM_BUILD_ROOT%_libdir/

%__mkdir_p $RPM_BUILD_ROOT/etc/buildreqs/files/ignore.d
cat >$RPM_BUILD_ROOT/etc/buildreqs/files/ignore.d/%name-devel <<EOF
^/usr/lib/libdnet.so\$
^/usr/lib/gcc-lib/.*/libdnet.so\$
EOF

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc LICENSE README THANKS TODO

%files devel
/etc/buildreqs/files/ignore.d/%name-devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files devel-static
%_libdir/*.a

%files -n dnet
%_sbindir/*
%_man8dir/*

%changelog
* Sat Nov 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt2
- Fixed build.

* Sat Oct 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt1
- Updated to 1.5
- %name-devel: added buildreq ignore rule (aka autoconf sux).

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4-alt1
- Initial revision.
